Subject: Re: spurious (?) mce Hardware Error messages in v6.19

From: Mario Limonciello <[email-masked]>
Date: Fri, 20 Feb 2026 10:49:16 -0600

On 2/19/2026 9:43 AM, Bert Karwatzki wrote:
> Am Donnerstag, dem 19.02.2026 um 09:33 -0500 schrieb Yazen Ghannam:
>> On Mon, Feb 16, 2026 at 03:25:46PM -0500, Yazen Ghannam wrote:
>>> On Thu, Feb 12, 2026 at 01:50:05PM +0100, Bert Karwatzki wrote:
>>
>> [...]
>>
>>>>
>>>> 2026-02-10T16:15:01.001203+01:00 lisa kernel: [    C0] smca_should_log_poll_error: 1
>>>> 2026-02-10T16:15:01.001815+01:00 lisa kernel: [T45426] mce: [Hardware Error]: Machine check events logged
>>>> 2026-02-10T16:15:01.001818+01:00 lisa kernel: [T45426] [Hardware Error]: Deferred error, no action required.
>>>> 2026-02-10T16:15:01.001819+01:00 lisa kernel: [T45426] [Hardware Error]: CPU:0 (19:50:0) MC14_STATUS[-|-|-|AddrV|PCC|-|-|Deferred|-|-]: 0x8700900800000000
>>
>> Hi Bert,
>>
>> The CPU stepping indicates that this isn't a production model.
>>
>> Can you please share more info on your system? Is it a production laptop
>> or a pre-production sample?
>>
>> Thanks,
>> Yazenit
> 
> As far as I know is a production Laptop, a MSI Alpha 15 B5EEK/MS-158L model with
> bios version "BIOS E158LAMS.10F 11/11/2024" (the newest version available at
> https://de.msi.com/Laptop/Alpha-15-B5EX/support?sku_id=89840) and without
> preinstalled Windows which I bought in December 2021 at www.alternate.de (a shop
> which MSI lists as a "trusted partner": https://de.msi.com/service/bzq)
> 
> Bert Karwatzki

Do you know if it was purchased "right around" when it launched?  I'm 
wondering if it's possible they used pre-production parts for some 
reason with their initial systems.

The reason for this line of inquiry is if this is what we would have 
considered pre-production silicon, it might be more appropriate to flag 
the CPU accordingly and ignore these MCEs.